Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
DoHierarchy Class Reference

## Public Member Functions
| __init__ (self)
| __len__ (self)
| clear (self)
| deleteObjectLocation (self, do, parentId, zoneId)
| getDoIds (self, getDo, parentId, zoneId=None, classType=None)
| isEmpty (self)
| storeObjectLocation (self, do, parentId, zoneId)

## Static Public Attributes
| notify = directNotify.newCategory("DoHierarchy")

## Protected Attributes
| _allDoIds = set()
dict | _table = {}

## Detailed Description

    This table has been a source of memory leaks, with DoIds getting left in the table indefinitely.
    DoHierarchy guards access to the table and ensures correctness.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ __len__()

__len__ | ( |  | self | ) |

## ◆ clear()

clear | ( |  | self | ) |

## ◆ deleteObjectLocation()

deleteObjectLocation | ( |  | self,
|  |  | do,
|  |  | parentId,
|  |  | zoneId )

## ◆ getDoIds()

getDoIds | ( |  | self,
|  |  | getDo,
|  |  | parentId,
|  |  | zoneId = None,
|  |  | classType = None )

    Args:
        parentId: any distributed object id.
        zoneId: a uint32, defaults to None (all zones).  Try zone 2 if
            you're not sure which zone to use (0 is a bad/null zone and
            1 has had reserved use in the past as a no messages zone, while
            2 has traditionally been a global, uber, misc stuff zone).
        dclassType: a distributed class type filter, defaults to None
            (no filter).

    If dclassName is None then all objects in the zone are returned;
    otherwise the list is filtered to only include objects of that type.

## ◆ isEmpty()

isEmpty | ( |  | self | ) |

## ◆ storeObjectLocation()

storeObjectLocation | ( |  | self,
|  |  | do,
|  |  | parentId,
|  |  | zoneId )

## Member Data Documentation

## ◆ _allDoIds

_allDoIds = set()
| protected

## ◆ _table

_table = {}
| protected

## ◆ notify

notify = directNotify.newCategory("DoHierarchy")
| static